Forum Xamarin.Android
We are excited to announce that the Xamarin Forums are moving to the new Microsoft Q&A experience. Q&A is the home for technical questions and answers at across all products at Microsoft now including Xamarin!

We encourage you to head over to Microsoft Q&A for .NET for posting new questions and get involved today.

App crashes when "Xamarin.Android Api-2X Support" is not installed in device

I have an app in Xamarin.Forms which works fine when I debug it in my device. I notice that when I deploy the app in Debug mode, Xamarin.Android Api-28 Support is automatically installed in the device apps. When this is present, the app works perfectly when I manually install the .apk (through e.g. Release mode). However, if I uninstall this (i.e. the Xamarin.Android Api-28 Support), some of the app components don't work and the app crashes. I am unsure which components do not work (since I can't debug it - in Debug mode, Xamarin.Android Api-28 Support is installed so the app works fine), but two guesses are the Xamarin.Essentials or the System.Data.SqlClient component.

My question is how can I package the Xamarin.Android Api-28 Support stuff in my application or where can I find an APK to manually install this on the target devices?

Best Answer

Answers

Sign In or Register to comment.